# std::basic_streambuf::pbase, std::basic_streambuf::pptr, std::basic_streambuf::epptr

From cppreference.com
< cpp‎ | io‎ | basic streambuf

char_type* pbase() const; | (1) |
char_type* pptr() const; | (2) |
char_type* epptr() const; | (3) |

Returns pointers defining the put area.

1) Returns the pointer to the beginning ("base") of the put area.

2) Returns the pointer to the current character (put pointer) in the put area.

3) Returns the pointer one past the end of the put area.

### Parameters

(none)

### Return value

1) The pointer to the beginning of the put area.

2) The pointer to the current character (put pointer) in the put area.

3) The pointer one past the end of the put area.

### Example

| This section is incomplete Reason: no example

### See also

eback gptr egptr | returns a pointer to the beginning, current character and the end of the get area (protected member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_streambuf/pptr&oldid=85989"
Category:

- Todo no example